| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Macros | Functions
icpCore.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | ICP2DCoordT
struct | ICP3DCoordT
struct | ICP2DLineT
struct | ICP2DLineSegT
struct | ICP3DLineSegT

## Macros
#define | ICP_EXTERN
#define | M_PI 3.14159265358979323846F
#define | ICP_DEBUG 0
#define | ICP_MAX_LOOP 10
#define | ICP_BREAK_LOOP_ERROR_THRESH 0.1F
#define | ICP_BREAK_LOOP_ERROR_RATIO_THRESH 0.99F
#define | ICP_BREAK_LOOP_ERROR_THRESH2 4.0F
#define | ICP_INLIER_PROBABILITY 0.50F

## Functions
int | icpGetXc_from_Xw_by_MatXw2Xc (ICP3DCoordT *Xc, ARdouble matXw2Xc[3][4], ICP3DCoordT *Xw)
int | icpGetU_from_X_by_MatX2U (ICP2DCoordT *u, ARdouble matX2U[3][4], ICP3DCoordT *coord3d)
int | icpGetJ_U_S (ARdouble J_U_S[2][6], ARdouble matXc2U[3][4], ARdouble matXw2Xc[3][4], ICP3DCoordT *worldCoord)
int | icpGetDeltaS (ARdouble S[6], ARdouble dU[], ARdouble J_U_S[][6], int n)
int | icpUpdateMat (ARdouble matXw2Xc[3][4], ARdouble dS[6])

## Macro Definition Documentation

## ◆ ICP_BREAK_LOOP_ERROR_RATIO_THRESH

#define ICP_BREAK_LOOP_ERROR_RATIO_THRESH 0.99F

## ◆ ICP_BREAK_LOOP_ERROR_THRESH

#define ICP_BREAK_LOOP_ERROR_THRESH 0.1F

## ◆ ICP_BREAK_LOOP_ERROR_THRESH2

#define ICP_BREAK_LOOP_ERROR_THRESH2 4.0F

## ◆ ICP_DEBUG

#define ICP_DEBUG 0

## ◆ ICP_EXTERN

#define ICP_EXTERN

## ◆ ICP_INLIER_PROBABILITY

#define ICP_INLIER_PROBABILITY 0.50F

## ◆ ICP_MAX_LOOP

#define ICP_MAX_LOOP 10

## ◆ M_PI

#define M_PI 3.14159265358979323846F

## Function Documentation

## ◆ icpGetDeltaS()

int icpGetDeltaS | ( | ARdouble | S[6],
|  | ARdouble | dU[],
|  | ARdouble | J_U_S[][6],
|  | int | n
| ) |  |

Here is the call graph for this function:

## ◆ icpGetJ_U_S()

int icpGetJ_U_S | ( | ARdouble | J_U_S[2][6],
|  | ARdouble | matXc2U[3][4],
|  | ARdouble | matXw2Xc[3][4],
|  | ICP3DCoordT * | worldCoord
| ) |  |

## ◆ icpGetU_from_X_by_MatX2U()

int icpGetU_from_X_by_MatX2U | ( | ICP2DCoordT * | u,
|  | ARdouble | matX2U[3][4],
|  | ICP3DCoordT * | coord3d
| ) |  |

## ◆ icpGetXc_from_Xw_by_MatXw2Xc()

int icpGetXc_from_Xw_by_MatXw2Xc | ( | ICP3DCoordT * | Xc,
|  | ARdouble | matXw2Xc[3][4],
|  | ICP3DCoordT * | Xw
| ) |  |

## ◆ icpUpdateMat()

int icpUpdateMat | ( | ARdouble | matXw2Xc[3][4],
|  | ARdouble | dS[6]
| ) |  |